Browsable Browsable Docs

Google Maps Autocomplete API

Fetch public Google Maps autocomplete suggestions.

POST /v1/googlemaps/autocomplete

Request Parameters

Name In Type Required Description
query body string Yes Search query.
limit body integer No Maximum number of results to return.
location body string No Location filter.

Response Structure

Async kickoff response

Polled run result response

Sync response

Declared output schema

Code Examples

Async + polling

RUN=$(curl -s -X POST "https://api.browsable.app/v1/googlemaps/autocomplete" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"query":"pizza near Shoreditch","limit":25,"location":"London"}')
RUN_ID=$(echo "$RUN" | jq -r '.run_id')
while true; do
RESULT=$(curl -s -H "Authorization: Bearer YOUR_API_KEY" "https://api.browsable.app/v1/runs/$RUN_ID")
STATUS=$(echo "$RESULT" | jq -r '.run_status')
if [ "$STATUS" = "succeeded" ] || [ "$STATUS" = "failed" ]; then
echo "$RESULT"
break
fi
sleep 2
done

Sync

curl -X POST "https://api.browsable.app/v1/googlemaps/autocomplete" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"query":"pizza near Shoreditch","limit":25,"location":"London","_run":{"async":false}}'